# Generated by Django 3.2 on 2022-12-09 12:31

from django.conf import settings
import django.core.validators
from django.db import migrations, models
import django.db.models.deletion
import settings_app.upload_utils


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('custom', '0012_alter_department_leader'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('employee', '0018_employee_pin'),
    ]

    operations = [
        migrations.CreateModel(
            name='Trip',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=100, null=True)),
                ('date_out', models.DateField(blank=True, verbose_name='Data Sai')),
                ('date_in', models.DateField(blank=True, verbose_name='Data Tama')),
                ('file', models.FileField(blank=True, null=True, upload_to=settings_app.upload_utils.upload_trip, validators=[django.core.validators.FileExtensionValidator(allowed_extensions=['pdf'])], verbose_name='Upload PDF')),
                ('is_lock', models.BooleanField(blank=True, default=True, null=True, verbose_name='Presensa')),
                ('datetime', models.DateTimeField(blank=True, null=True)),
                ('hashed', models.CharField(blank=True, max_length=32, null=True)),
                ('country', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='custom.country', verbose_name='Nasaun')),
                ('municipality', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='custom.municipality', verbose_name='Municipio')),
            ],
        ),
        migrations.CreateModel(
            name='TripType',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(blank=True, max_length=120, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='TripEmp',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('is_lock', models.BooleanField(blank=True, default=True, null=True, verbose_name='Presensa')),
                ('datetime', models.DateTimeField(blank=True, null=True)),
                ('hashed', models.CharField(blank=True, max_length=32, null=True)),
                ('employee', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='tripemp', to='employee.employee', verbose_name='Pessoal')),
                ('trip', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='trip.trip', verbose_name='Trip')),
                ('user', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.AddField(
            model_name='trip',
            name='ttype',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='triptype', to='trip.triptype', verbose_name='Trip Type'),
        ),
        migrations.AddField(
            model_name='trip',
            name='user',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL),
        ),
    ]
